<?php

namespace Drupal\diba_integration_vus\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;
use Drupal\diba_integration_vus\Webservice\VusManager;

/**
 * Listens to the dynamic route events.
 */
class PasswordRememberSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  public function alterRoutes(RouteCollection $collection) {
    $config = \Drupal::config('diba_integration_vus.settings');
    if (VusManager::VALIDACIO_VUS === $config->get('diba_integration_vus_validation')) {
      if ($route = $collection->get('user.pass')) {
        $route->setRequirement('_access', 'FALSE');
      }
    }
  }

}
